clang-tools 8.0.0

Namespaces | Functions
ConcatNestedNamespacesCheck.cpp File Reference
`#include "ConcatNestedNamespacesCheck.h"`
`#include "clang/AST/ASTContext.h"`
`#include "clang/ASTMatchers/ASTMatchFinder.h"`
`#include <algorithm>`
`#include <iterator>`
Include dependency graph for ConcatNestedNamespacesCheck.cpp:

Go to the source code of this file.

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::tidy
| clang::tidy::modernize

## Functions
static bool | clang::tidy::modernize::locationsInSameFile (const SourceManager &Sources, SourceLocation Loc1, SourceLocation Loc2)
static bool | clang::tidy::modernize::anonymousOrInlineNamespace (const NamespaceDecl &ND)
static bool | clang::tidy::modernize::singleNamedNamespaceChild (const NamespaceDecl &ND)
static bool | clang::tidy::modernize::alreadyConcatenated (std::size_t NumCandidates, const SourceRange &ReplacementRange, const SourceManager &Sources, const LangOptions &LangOpts)